<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FileMagic (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileMagic (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FileMagic.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/FileMagic.html" target="_top">Frames</a>
        </li>
        <li><a href="FileMagic.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Enum FileMagic" class="title">Enum FileMagic</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                         title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.poifs.filesystem.FileMagic</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                            title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">FileMagic</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                             title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&gt;</pre>
                <div class="block">The file magic number, i.e. the file identification based on the first bytes
                    of the file
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#BIFF2">BIFF2</a></span></code>
                                    <div class="block">BIFF2 raw stream - for Excel 2</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#BIFF3">BIFF3</a></span></code>
                                    <div class="block">BIFF3 raw stream - for Excel 3</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#BIFF4">BIFF4</a></span></code>
                                    <div class="block">BIFF4 raw stream - for Excel 4</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#HTML">HTML</a></span></code>
                                    <div class="block">Some different HTML documents</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#MSWRITE">MSWRITE</a></span></code>
                                    <div class="block">Old MS Write raw stream</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#OLE2">OLE2</a></span></code>
                                    <div class="block">OLE2 / BIFF8+ stream used for Office 97 and higher documents
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#OOXML">OOXML</a></span></code>
                                    <div class="block">OOXML / ZIP stream</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#PDF">PDF</a></span></code>
                                    <div class="block">PDF document</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#RTF">RTF</a></span></code>
                                    <div class="block">RTF document</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#UNKNOWN">UNKNOWN</a></span></code>
                                    <div class="block">UNKNOWN magic</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#WORD2">WORD2</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#XML">XML</a></span></code>
                                    <div class="block">XML file</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#prepareToCheckMagic-java.io.InputStream-">prepareToCheckMagic</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">Checks if an <code>InputStream</code> can be reset (i.e.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#valueOf-byte:A-">valueOf</a></span>(byte[]&nbsp;magic)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#valueOf-java.io.File-">valueOf</a></span>(java.io.File&nbsp;inp)</code>
                                    <div class="block">Get the file magic of the supplied <code>File</code></div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#valueOf-java.io.InputStream-">valueOf</a></span>(java.io.InputStream&nbsp;inp)</code>
                                    <div class="block">Get the file magic of the supplied InputStream (which MUST
                                        support mark and reset).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="OLE2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OLE2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> OLE2</pre>
                                <div class="block">OLE2 / BIFF8+ stream used for Office 97 and higher documents</div>
                            </li>
                        </ul>
                        <a name="OOXML">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OOXML</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> OOXML</pre>
                                <div class="block">OOXML / ZIP stream</div>
                            </li>
                        </ul>
                        <a name="XML">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XML</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> XML</pre>
                                <div class="block">XML file</div>
                            </li>
                        </ul>
                        <a name="BIFF2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BIFF2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> BIFF2</pre>
                                <div class="block">BIFF2 raw stream - for Excel 2</div>
                            </li>
                        </ul>
                        <a name="BIFF3">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BIFF3</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> BIFF3</pre>
                                <div class="block">BIFF3 raw stream - for Excel 3</div>
                            </li>
                        </ul>
                        <a name="BIFF4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BIFF4</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> BIFF4</pre>
                                <div class="block">BIFF4 raw stream - for Excel 4</div>
                            </li>
                        </ul>
                        <a name="MSWRITE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MSWRITE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> MSWRITE</pre>
                                <div class="block">Old MS Write raw stream</div>
                            </li>
                        </ul>
                        <a name="RTF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RTF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> RTF</pre>
                                <div class="block">RTF document</div>
                            </li>
                        </ul>
                        <a name="PDF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PDF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> PDF</pre>
                                <div class="block">PDF document</div>
                            </li>
                        </ul>
                        <a name="HTML">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HTML</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> HTML</pre>
                                <div class="block">Some different HTML documents</div>
                            </li>
                        </ul>
                        <a name="WORD2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORD2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> WORD2</pre>
                            </li>
                        </ul>
                        <a name="UNKNOWN">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UNKNOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a> UNKNOWN</pre>
                                <div class="block">UNKNOWN magic</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (FileMagic c : FileMagic.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&nbsp;valueOf(byte[]&nbsp;magic)</pre>
                            </li>
                        </ul>
                        <a name="valueOf-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&nbsp;valueOf(java.io.File&nbsp;inp)
                         throws java.io.IOException</pre>
                                <div class="block">Get the file magic of the supplied <code>File</code>
                                    <p>

                                        Even if this method returns <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#UNKNOWN"><code>UNKNOWN</code></a>
                                        it could potentially mean,
                                        that the ZIP stream has leading junk bytes</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>inp</code> - a file to be identified</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                        title="enum in org.apache.poi.poifs.filesystem">FileMagic</a>&nbsp;valueOf(java.io.InputStream&nbsp;inp)
                         throws java.io.IOException</pre>
                                <div class="block">Get the file magic of the supplied InputStream (which MUST
                                    support mark and reset).<p>

                                        If unsure if your InputStream does support mark / reset,
                                        use <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#prepareToCheckMagic-java.io.InputStream-"><code>prepareToCheckMagic(InputStream)</code></a>
                                        to wrap it and make
                                        sure to always use that, and not the original!
                                    <p>

                                        Even if this method returns <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html#UNKNOWN"><code>UNKNOWN</code></a>
                                        it could potentially mean,
                                        that the ZIP stream has leading junk bytes</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>inp</code> - An InputStream which supports either mark/reset</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="prepareToCheckMagic-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>prepareToCheckMagic</h4>
                                <pre>public static&nbsp;java.io.InputStream&nbsp;prepareToCheckMagic(java.io.InputStream&nbsp;stream)</pre>
                                <div class="block">Checks if an <code>InputStream</code> can be reset (i.e. used for
                                    checking the header magic) and wraps it if not
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - stream to be checked for wrapping</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a mark enabled stream</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FileMagic.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/FileMagic.html" target="_top">Frames</a>
        </li>
        <li><a href="FileMagic.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
